version: 2

models:
- name: mart_event_valid
  description: '{{ doc("mart_event_valid") }}'
  columns:
    - name: event_pk
      description: '{{ doc("event_pk") }}'
      tests:
        - not_null
        - unique
    - name: dim_event_date_id
      description: '{{ doc("dim_event_date_id") }}'
    - name: dim_ultimate_parent_namespace_id
      description: '{{ doc("dim_ultimate_parent_namespace_id") }}'
    - name: dim_project_id
      description: '{{ doc("dim_project_id") }}'
    - name: dim_user_id
      description: '{{ doc("dim_user_id") }}'
    - name: dim_active_product_tier_id
      description: '{{ doc("dim_active_product_tier_id") }}'
    - name: dim_active_subscription_id
      description: '{{ doc("dim_active_subscription_id") }}'
    - name: dim_crm_account_id
      description: '{{ doc("dim_crm_account_id") }}'
    - name: dim_billing_account_id
      description: '{{ doc("dim_billing_account_id") }}'
    - name: event_created_at
      description: '{{ doc("event_created_at") }}'
    - name: event_date
      description: '{{ doc("event_date") }}'
    - name: group_name
      description: '{{ doc("group_name") }}'
      tests:
        - not_null
    - name: section_name
      description: '{{ doc("section_name") }}'
      tests:
        - not_null
    - name: stage_name
      description: '{{ doc("stage_name") }}'
      tests:
        - not_null
    - name: is_smau
      description: '{{ doc("is_smau") }}'
      tests:
        - not_null
    - name: is_gmau
      description: '{{ doc("is_gmau") }}'
      tests:
        - not_null
    - name: is_umau
      description: '{{ doc("is_umau") }}'
      tests:
        - not_null
    - name: parent_id
      description: '{{ doc("parent_id") }}'
    - name: parent_type
      description: '{{ doc("parent_type") }}'
    - name: event_name
      description: '{{ doc("event_name") }}'
    - name: plan_id_at_event_date
      description: '{{ doc("plan_id_at_event_date") }}'
    - name: plan_name_at_event_date
      description: '{{ doc("plan_name_at_event_date") }}'
    - name: plan_was_paid_at_event_date
      description: '{{ doc("plan_was_paid_at_event_date") }}'
    - name: days_since_user_creation_at_event_date
      description: '{{ doc("days_since_user_creation_at_event_date") }}'
    - name: days_since_namespace_creation_at_event_date
      description: '{{ doc("days_since_namespace_creation_at_event_date") }}'
    - name: days_since_project_creation_at_event_date
      description: '{{ doc("days_since_project_creation_at_event_date") }}'
    - name: ultimate_parent_namespace_type
      description: '{{ doc("ultimate_parent_namespace_type") }}'
    - name: namespace_is_internal
      description: '{{ doc("namespace_is_internal") }}'
    - name: namespace_creator_is_blocked
      description: '{{ doc("namespace_creator_is_blocked") }}'
    - name: namespace_created_at
      description: '{{ doc("namespace_created_at") }}'
    - name: namespace_created_date
      description: '{{ doc("namespace_created_date") }}'
    - name: user_created_at
      description: '{{ doc("user_created_at") }}'
    - name: project_is_learn_gitlab
      description: '{{ doc("project_is_learn_gitlab") }}'
    - name: project_is_imported
      description: '{{ doc("project_is_imported") }}'
    - name: event_calendar_month
      description: '{{ doc("event_calendar_month") }}'
    - name: event_calendar_quarter
      description: '{{ doc("event_calendar_quarter") }}'
    - name: event_calendar_year
      description: '{{ doc("event_calendar_year") }}'
    - name: data_source
      description: '{{ doc("data_source") }}'
    - name: created_by
      description: '{{ doc("created_by") }}'
    - name: updated_by
      description: '{{ doc("updated_by") }}'
    - name: model_created_date
      description: '{{ doc("model_created_date") }}'
    - name: model_updated_date
      description: '{{ doc("model_updated_date") }}'

- name: mart_event_namespace_daily
  description: '{{ doc("mart_event_namespace_daily") }}'
  columns:
    - name: event_namespace_daily_pk
      description: the unique ID combination of the event_date, event_name, and dim_ultimate_parent_namespace_id in mart_event_namespace_daily.
      tests:
        - not_null
        - unique   
    - name: dim_event_date_id
      description: '{{ doc("dim_event_date_id") }}'
    - name: dim_ultimate_parent_namespace_id
      description: '{{ doc("dim_ultimate_parent_namespace_id") }}'
    - name: dim_active_product_tier_id
      description: '{{ doc("dim_active_product_tier_id") }}'
    - name: dim_active_subscription_id
      description: '{{ doc("dim_active_subscription_id") }}'
    - name: dim_crm_account_id
      description: '{{ doc("dim_crm_account_id") }}'
    - name: dim_billing_account_id
      description: '{{ doc("dim_billing_account_id") }}'
    - name: event_date
      description: '{{ doc("event_date") }}'
    - name: group_name
      description: '{{ doc("group_name") }}'
      tests:
        - not_null
    - name: section_name
      description: '{{ doc("section_name") }}'
      tests:
        - not_null
    - name: stage_name
      description: '{{ doc("stage_name") }}'
      tests:
        - not_null
    - name: is_smau
      description: '{{ doc("is_smau") }}'
      tests:
        - not_null
    - name: is_gmau
      description: '{{ doc("is_gmau") }}'
      tests:
        - not_null
    - name: is_umau
      description: '{{ doc("is_umau") }}'
      tests:
        - not_null
    - name: event_name
      description: '{{ doc("event_name") }}'
    - name: event_count
      description: '{{ doc("event_count") }}'
    - name: user_count
      description: '{{ doc("user_count") }}'
    - name: namespace_created_at
      description: '{{ doc("namespace_created_at") }}'
    - name: ultimate_parent_namespace_type
      description: '{{ doc("ultimate_parent_namespace_type") }}'
    - name: namespace_created_date
      description: '{{ doc("namespace_created_date") }}'
    - name: plan_id_at_event_date
      description: '{{ doc("plan_id_at_event_date") }}'
    - name: plan_name_at_event_date
      description: '{{ doc("plan_name_at_event_date") }}'
    - name: plan_was_paid_at_event_date
      description: '{{ doc("plan_was_paid_at_event_date") }}'
    - name: days_since_namespace_creation_at_event_date
      description: '{{ doc("days_since_namespace_creation_at_event_date") }}'
    - name: event_calendar_month
      description: '{{ doc("event_calendar_month") }}'
    - name: event_calendar_quarter
      description: '{{ doc("event_calendar_quarter") }}'
    - name: event_calendar_year
      description: '{{ doc("event_calendar_year") }}'
    - name: data_source
      description: '{{ doc("data_source") }}'
    - name: created_by
      description: '{{ doc("created_by") }}'
    - name: updated_by
      description: '{{ doc("updated_by") }}'
    - name: model_created_date
      description: '{{ doc("model_created_date") }}'
    - name: model_updated_date
      description: '{{ doc("model_updated_date") }}'

- name: mart_event_user_daily
  description: '{{ doc("mart_event_user_daily") }}'
  columns:
    - name: event_user_daily_pk
      description: the unique composite ID for the mart_event_user_daily model consisting of event_date, dim_user_id, dim_ultimate_parent_namespace_id, and event_name.
      tests:
        - not_null
        - unique
    - name: dim_event_date_id
      description: '{{ doc("dim_event_date_id") }}'
    - name: dim_ultimate_parent_namespace_id
      description: '{{ doc("dim_ultimate_parent_namespace_id") }}'
    - name: dim_user_id
      description: '{{ doc("dim_user_id") }}'
    - name: dim_active_product_tier_id
      description: '{{ doc("dim_active_product_tier_id") }}'
    - name: dim_active_subscription_id
      description: '{{ doc("dim_active_subscription_id") }}'
    - name: dim_crm_account_id
      description: '{{ doc("dim_crm_account_id") }}'
    - name: dim_billing_account_id
      description: '{{ doc("dim_billing_account_id") }}'
    - name: event_date
      description: '{{ doc("event_date") }}'
    - name: group_name
      description: '{{ doc("group_name") }}'
      tests:
        - not_null
    - name: section_name
      description: '{{ doc("section_name") }}'
      tests:
        - not_null
    - name: stage_name
      description: '{{ doc("stage_name") }}'
      tests:
        - not_null
    - name: is_smau
      description: '{{ doc("is_smau") }}'
      tests:
        - not_null
    - name: is_gmau
      description: '{{ doc("is_gmau") }}'
      tests:
        - not_null
    - name: is_umau
      description: '{{ doc("is_umau") }}'
      tests:
        - not_null
    - name: event_name
      description: '{{ doc("event_name") }}'
    - name: event_count
      description: '{{ doc("event_count") }}'
    - name: plan_id_at_event_date
      description: '{{ doc("plan_id_at_event_date") }}'
    - name: plan_name_at_event_date
      description: '{{ doc("plan_name_at_event_date") }}'
    - name: plan_was_paid_at_event_date
      description: '{{ doc("plan_was_paid_at_event_date") }}'
    - name: ultimate_parent_namespace_type
      description: '{{ doc("ultimate_parent_namespace_type") }}'
    - name: namespace_is_internal
      description: '{{ doc("namespace_is_internal") }}'
    - name: namespace_created_at
      description: '{{ doc("namespace_created_at") }}'
    - name: namespace_created_date
      description: '{{ doc("namespace_created_date") }}'
    - name: user_created_at
      description: '{{ doc("user_created_at") }}'
    - name: event_calendar_month
      description: '{{ doc("event_calendar_month") }}'
    - name: event_calendar_quarter
      description: '{{ doc("event_calendar_quarter") }}'
    - name: event_calendar_year
      description: '{{ doc("event_calendar_year") }}'
    - name: data_source
      description: '{{ doc("data_source") }}'
    - name: created_by
      description: '{{ doc("created_by") }}'
    - name: updated_by
      description: '{{ doc("updated_by") }}'
    - name: model_created_date
      description: '{{ doc("model_created_date") }}'
    - name: model_updated_date
      description: '{{ doc("model_updated_date") }}'

- name: mart_ping_instance_metric
  description: ' {{ doc("mart_ping_instance_metric") }} '
  columns:
    - name: ping_instance_metric_id
      tests:
        - not_null
        #- unique
      description: The unique composite ID for the mart_ping_instance_metric model consisting of dim_ping_instance_id and metrics_path
    - name: dim_date_id
      description: The unqiue id of a date in the dim_date model.
    - name: metrics_path
      description: The unique JSON key path of identifier of the metric in the ping payload. This appears as key_path in the metric definition YAML files
    - name: metric_value
      description: The value associated with the metric path
    - name: dim_ping_instance_id
      description: The unique identifier of the ping
    - name: dim_instance_id
      description: The unique identifier of the instance, easily joined to dim_installation. This id is store in the database of the instance and appears as uuid in the ping payload
    - name: dim_license_id
      description: The unique identifier of the license, easily joined to dim_license
    - name: dim_installation_id
      description: The unique identifier of the installation, easily joined to dim_installation. This id is the combination of dim_host_id and dim_instance_id and is considered the unique identifier of the instance for reporting and analysis
    - name: latest_active_subscription_id
      description:  The unique id of the latest active subscription
    - name: dim_billing_account_id
      description: The identifier of the Zuora account associated with the subscription
    - name: dim_parent_crm_account_id
      description: The identifier of the ultimate parent account, easily joined to dim_crm_account
    - name: dim_host_id
      description: The unique identifier of the host, easily joined to dim_installation or dim_host
    - name: major_minor_version_id
      description: The id of the major minor version, defined as major_version*100 + minor_version. This id is intended to facilitate easy filtering on versions
    - name: host_name
      description: The name (URL) of the host
    - name: service_ping_delivery_type
      description: How the product is delivered to the instance (Self-Managed, SaaS)
    - name: ping_edition
      description: The edition of GitLab on the instance (EE, CE)
    - name: ping_product_tier
      description: The product tier of the ping, inferred from the edition and the plan saved in the license (Core, Starter Premium, Ultimate)
    - name: ping_edition_product_tier
      description: The concatenation of ping_edition and ping_product_tier (EE - Core - Free, EE - Premium, etc.)
    - name: major_version
      description: The major version of GitLab on the instance. For example, for 13.6.2, major_version is 13. See details here (https://docs.gitlab.com/ee/policy/maintenance.html)
    - name: minor_version
      description: The major version of GitLab on the instance. For example, for 13.6.2, minor_version is 6. See details here (https://docs.gitlab.com/ee/policy/maintenance.html)
    - name: major_minor_version
      description: The concatenation of major and minor version. For example, for 13.6.2, major_minor_version is 13.6
    - name: version_is_prerelease
      description: Boolean flag which is set to True if the version is a pre-release Version of the GitLab App. See more details here (https://docs.gitlab.com/ee/policy/maintenance.html)
    - name: is_internal
      description: Denotes whether the instance is internal
    - name: is_staging
      description: Boolean flag which is set to True if the instance has been identified as a staging instance
    - name: is_trial
      description: Boolean flag which is set to True if the instance has a valid trial license at service ping creation
    - name: umau_value
      description: The unique monthly active user value for the instance
    - name: stage_name
      description: The name of the product stage responsible for the metric
    - name: section_name
      description: The name of the product section responsible for the metric
    - name: group_name
      description: The name of the product group responsible for the metric
    - name: is_smau
      description: Boolean flag set to True if the metrics is one of the counters chosen for the stage's SMAU calculation
    - name: is_gmau
      description: Boolean flag set to True if the metrics is one of the counters chosen for the group's GMAU calculation
    - name: is_paid_gmau
      description: Boolean flag set to True if the metrics is one of the counters chosen for the group's paid GMAU calculation
    - name: is_umau
      description: Denotes whether the event is identified as the stage's UMAU (unique monthly active user) metric. See [Page](https://internal-handbook.gitlab.io/product/performance-indicators/) for metric definitions
    - name: time_frame
      description: The time frame associated with the metric, as defined in the metric definition YAML file
    - name: instance_user_count
      description: The total count of users on the instance
    - name: subscription_name_slugify
      description: If a subscription is linked to the license, slugified name of the subscription
    - name: subscription_start_month
      description: The month when the subscription linked to the license started
    - name: subscription_end_month
      description: The month when the subscription linked to the license is supposed to end according to last agreed terms
    - name: product_category_array
      description: An array containing all of the product tier names associated associated with the subscription
    - name: product_rate_plan_name_array
      description: An array containing all of the product rate plan names associated with the subscription
    - name: is_paid_subscription
      description: Boolean flag set to True if the subscription has a ARR > 0
    - name: is_program_subscription
      description: Boolean flag set to True if the subscription is under an EDU or OSS Program
    - name: crm_account_name
      description: The name of the crm account coming from SFDC
    - name: parent_crm_account_name
      description: The name of the ultimate parent account coming from SFDC
    - name: parent_crm_account_billing_country
      description: The billing country of the ultimate parent account coming from SFDC
    - name: parent_crm_account_sales_segment
      description: The sales segment of the ultimate parent account from SFDC. Sales Segments are explained here (https://about.gitlab.com/handbook/sales/field-operations/gtm-resources/#segmentation)
    - name: parent_crm_account_industry
      description: The industry of the ultimate parent account from SFDC
    - name: parent_crm_account_owner_team
      description: The owner team of the ultimate parent account from SFDC
    - name: parent_crm_account_sales_territory
      description: The sales territory of the ultimate parent account from SFDC
    - name: technical_account_manager
      description: The name of the technical account manager of the subscription
    - name: ping_created_at
      description: The time when the ping was created
    - name: ping_created_date_month
      description: The month when the ping was created (YYYY-MM-01)
    - name: is_last_ping_of_month
      description: Boolean flag set to True if this is the instance's (defined by dim_installation_id) last ping of the calendar month (defined by ping_created_at)
  

- name: mart_ping_instance
  description: ' {{ doc("mart_ping_instance") }} '
  columns:
    - name: ping_instance_id
      tests:
        - not_null
        #- unique
      description: The unique composite ID for the mart_ping_instance_metric model consisting of dim_ping_instance_id and metrics_path
    - name: dim_date_id
      description: The unqiue id of a date in the dim_date model.
    - name: dim_ping_instance_id
      description: The unique identifier of the ping
    - name: dim_instance_id
      description: The unique identifier of the instance, easily joined to dim_installation. This id is store in the database of the instance and appears as uuid in the ping payload
    - name: dim_license_id
      description: The unique identifier of the license, easily joined to dim_license
    - name: dim_installation_id
      description: The unique identifier of the installation, easily joined to dim_installation. This id is the combination of dim_host_id and dim_instance_id and is considered the unique identifier of the instance for reporting and analysis
    - name: latest_active_subscription_id
      description:  The unique id of the latest active subscription
    - name: dim_billing_account_id
      description: The identifier of the Zuora account associated with the subscription
    - name: dim_parent_crm_account_id
      description: The identifier of the ultimate parent account, easily joined to dim_crm_account
    - name: dim_host_id
      description: The unique identifier of the host, easily joined to dim_installation or dim_host
    - name: major_minor_version_id
      description: The id of the major minor version, defined as major_version*100 + minor_version. This id is intended to facilitate easy filtering on versions
    - name: host_name
      description: The name (URL) of the host
    - name: service_ping_delivery_type
      description: How the product is delivered to the instance (Self-Managed, SaaS)
    - name: ping_edition
      description: The edition of GitLab on the instance (EE, CE)
    - name: ping_product_tier
      description: The product tier of the ping, inferred from the edition and the plan saved in the license (Core, Starter Premium, Ultimate)
    - name: ping_edition_product_tier
      description: The concatenation of ping_edition and ping_product_tier (EE - Core - Free, EE - Premium, etc.)
    - name: major_version
      description: The major version of GitLab on the instance. For example, for 13.6.2, major_version is 13. See details here (https://docs.gitlab.com/ee/policy/maintenance.html)
    - name: minor_version
      description: The major version of GitLab on the instance. For example, for 13.6.2, minor_version is 6. See details here (https://docs.gitlab.com/ee/policy/maintenance.html)
    - name: major_minor_version
      description: The concatenation of major and minor version. For example, for 13.6.2, major_minor_version is 13.6
    - name: version_is_prerelease
      description: Boolean flag which is set to True if the version is a pre-release Version of the GitLab App. See more details here (https://docs.gitlab.com/ee/policy/maintenance.html)
    - name: is_internal
      description: Denotes whether the instance is internal
    - name: is_staging
      description: Boolean flag which is set to True if the instance has been identified as a staging instance
    - name: is_trial
      description: Boolean flag which is set to True if the instance has a valid trial license at service ping creation
    - name: umau_value
      description: The unique monthly active user value for the instance
    - name: instance_user_count
      description: The total count of users on the instance
    - name: subscription_name_slugify
      description: If a subscription is linked to the license, slugified name of the subscription
    - name: subscription_start_month
      description: The month when the subscription linked to the license started
    - name: subscription_end_month
      description: The month when the subscription linked to the license is supposed to end according to last agreed terms
    - name: product_category_array
      description: An array containing all of the product tier names associated associated with the subscription
    - name: product_rate_plan_name_array
      description: An array containing all of the product rate plan names associated with the subscription
    - name: is_paid_subscription
      description: Boolean flag set to True if the subscription has a ARR > 0
    - name: is_program_subscription
      description: Boolean flag set to True if the subscription is under an EDU or OSS Program
    - name: crm_account_name
      description: The name of the crm account coming from SFDC
    - name: parent_crm_account_name
      description: The name of the ultimate parent account coming from SFDC
    - name: parent_crm_account_billing_country
      description: The billing country of the ultimate parent account coming from SFDC
    - name: parent_crm_account_sales_segment
      description: The sales segment of the ultimate parent account from SFDC. Sales Segments are explained here (https://about.gitlab.com/handbook/sales/field-operations/gtm-resources/#segmentation)
    - name: parent_crm_account_industry
      description: The industry of the ultimate parent account from SFDC
    - name: parent_crm_account_owner_team
      description: The owner team of the ultimate parent account from SFDC
    - name: parent_crm_account_sales_territory
      description: The sales territory of the ultimate parent account from SFDC
    - name: technical_account_manager
      description: The name of the technical account manager of the subscription
    - name: ping_created_at
      description: The time when the ping was created
    - name: ping_created_at_month
      description: The month when the ping was created
    - name: is_last_ping_of_month
      description: Boolean flag set to True if this is the instance's (defined by dim_installation_id) last ping of the calendar month (defined by ping_created_at)


- name: mart_ping_instance_metric_monthly
  description: ' {{ doc("mart_ping_instance_metric_monthly") }} '
  columns:
    - name: ping_instance_metric_id
      tests:
        - not_null
        - unique
      description: The unique composite ID for the mart_ping_instance_metric model consisting of dim_ping_instance_id and metrics_path
    - name: dim_date_id
      description: The unqiue id of a date in the dim_date model.
    - name: metrics_path
      description: The unique JSON key path of identifier of the metric in the ping payload. This appears as key_path in the metric definition YAML files
    - name: metric_value
      description: The value associated with the metric path
    - name: dim_ping_instance_id
      description: The unique identifier of the ping
    - name: dim_instance_id
      description: The unique identifier of the instance, easily joined to dim_installation. This id is store in the database of the instance and appears as uuid in the ping payload
    - name: dim_license_id
      description: The unique identifier of the license, easily joined to dim_license
    - name: dim_installation_id
      description: The unique identifier of the installation, easily joined to dim_installation. This id is the combination of dim_host_id and dim_instance_id and is considered the unique identifier of the instance for reporting and analysis
    - name: latest_active_subscription_id
      description:  The latest child dim_subscription_id of the subscription linked to the license
    - name: dim_billing_account_id
      description: The identifier of the Zuora account associated with the subscription
    - name: dim_parent_crm_account_id
      description: The identifier of the ultimate parent account, easily joined to dim_crm_account
    - name: dim_host_id
      description: The unique identifier of the host, easily joined to dim_installation or dim_host
    - name: major_minor_version_id
      description: The id of the major minor version, defined as major_version*100 + minor_version. This id is intended to facilitate easy filtering on versions
    - name: host_name
      description: The name (URL) of the host
    - name: service_ping_delivery_type
      description: How the product is delivered to the instance (Self-Managed, SaaS)
    - name: ping_edition
      description: The edition of GitLab on the instance (EE, CE)
    - name: ping_product_tier
      description: The product tier of the ping, inferred from the edition and the plan saved in the license (Core, Starter Premium, Ultimate)
    - name: ping_edition_product_tier
      description: The concatenation of ping_edition and ping_product_tier (EE - Core - Free, EE - Premium, etc.)
    - name: major_version
      description: The major version of GitLab on the instance. For example, for 13.6.2, major_version is 13. See details here (https://docs.gitlab.com/ee/policy/maintenance.html)
    - name: minor_version
      description: The major version of GitLab on the instance. For example, for 13.6.2, minor_version is 6. See details here (https://docs.gitlab.com/ee/policy/maintenance.html)
    - name: major_minor_version
      description: The concatenation of major and minor version. For example, for 13.6.2, major_minor_version is 13.6
    - name: version_is_prerelease
      description: Boolean flag which is set to True if the version is a pre-release Version of the GitLab App. See more details here (https://docs.gitlab.com/ee/policy/maintenance.html)
    - name: is_internal
      description: Denotes whether the instance is internal
    - name: is_staging
      description: Boolean flag which is set to True if the instance has been identified as a staging instance
    - name: is_trial
      description: Boolean flag which is set to True if the instance has a valid trial license at service ping creation
    - name: umau_value
      description: The unique monthly active user value for the instance
    - name: stage_name
      description: The name of the product stage responsible for the metric
    - name: section_name
      description: The name of the product section responsible for the metric
    - name: group_name
      description: The name of the product group responsible for the metric
    - name: is_smau
      description: Boolean flag set to True if the metrics is one of the counters chosen for the stage's SMAU calculation
    - name: is_gmau
      description: Boolean flag set to True if the metrics is one of the counters chosen for the group's GMAU calculation
    - name: is_paid_gmau
      description: Boolean flag set to True if the metrics is one of the counters chosen for the group's paid GMAU calculation
    - name: is_umau
      description: Boolean flag set to True if the metrics is one of the counters chosen for UMAU calculation
    - name: time_frame
      description: The time frame associated with the metric, as defined in the metric definition YAML file
    - name: instance_user_count
      description: The total count of users on the instance
    - name: subscription_name_slugify
      description: If a subscription is linked to the license, slugified name of the subscription
    - name: subscription_start_month
      description: The month when the subscription linked to the license started
    - name: subscription_end_month
      description: The month when the subscription linked to the license is supposed to end according to last agreed terms
    - name: product_category_array
      description: An array containing all of the product tier names associated associated with the subscription
    - name: product_rate_plan_name_array
      description: An array containing all of the product rate plan names associated with the subscription
    - name: is_paid_subscription
      description: Boolean flag set to True if the subscription has a ARR > 0
    - name: is_program_subscription
      description: Boolean flag set to True if the subscription is under an EDU or OSS Program
    - name: crm_account_name
      description: The name of the crm account coming from SFDC
    - name: parent_crm_account_name
      description: The name of the ultimate parent account coming from SFDC
    - name: parent_crm_account_billing_country
      description: The billing country of the ultimate parent account coming from SFDC
    - name: parent_crm_account_sales_segment
      description: The sales segment of the ultimate parent account from SFDC. Sales Segments are explained here (https://about.gitlab.com/handbook/sales/field-operations/gtm-resources/#segmentation)
    - name: parent_crm_account_industry
      description: The industry of the ultimate parent account from SFDC
    - name: parent_crm_account_owner_team
      description: The owner team of the ultimate parent account from SFDC
    - name: parent_crm_account_sales_territory
      description: The sales territory of the ultimate parent account from SFDC
    - name: technical_account_manager
      description: The name of the technical account manager of the subscription
    - name: ping_created_at
      description: The time when the ping was created
    - name: ping_created_at_month
      description: The month when the ping was created
    - name: is_last_ping_of_month
      description: Boolean flag set to True if this is the instance's (defined by dim_installation_id) last ping of the calendar month (defined by ping_created_at)


    